# Uses of Interface
com.sun.source.doctree.VersionTree

Packages that use VersionTree
Package
Description
com.sun.source.doctree
Provides interfaces to represent documentation comments as abstract syntax trees (AST).
com.sun.source.util
Provides utilities for operations on abstract syntax trees (AST).

- ## Uses of VersionTree in com.sun.source.doctree

  Methods in com.sun.source.doctree with parameters of type VersionTree
  Modifier and Type
  Method
  Description
  `R`
  DocTreeVisitor.`visitVersion(VersionTree node, P p)`
  Visits a `VersionTree` node.

- ## Uses of VersionTree in com.sun.source.util

  Methods in com.sun.source.util that return VersionTree
  Modifier and Type
  Method
  Description
  `VersionTree`
  DocTreeFactory.`newVersionTree(List<? extends DocTree> text)`
  Creates a new `VersionTree` object, to represent a `{@version }` tag.
  Methods in com.sun.source.util with parameters of type VersionTree
  Modifier and Type
  Method
  Description
  `R`
  DocTreeScanner.`visitVersion(VersionTree node, P p)`
  Visits a `VersionTree` node.
  `R`
  SimpleDocTreeVisitor.`visitVersion(VersionTree node, P p)`
  Visits a `VersionTree` node.